Page MenuHomePhabricator

Wikidata edits do not update "page watched" icon
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. be logged into Wikidata
  2. ensure the preference “Add pages and files I edit to my watchlist” is enabled (under Preferences → Watchlist → Advanced Options)
  3. visit some item, e. g. the sandbox item
  4. make sure you’re not watching it yet
  5. add, edit or remove a statement
  6. scroll to the top of the page

Expected result: The star indicates that you’re now watching the page.

Actual result: The star appears to indicate that you’re not watching the page.

Workaround: Reload the page.

Event Timeline

DSGalaktos raised the priority of this task from to Needs Triage.
DSGalaktos updated the task description. (Show Details)
DSGalaktos added a subscriber: DSGalaktos.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 7:54 AM
Lydia_Pintscher triaged this task as Normal priority.Jan 27 2015, 11:24 AM
Lydia_Pintscher added a project: patch-welcome.
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

We have code in place that tries to do that, so apparently it's broken.

Change 195914 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix wrong parameter order in entityViewInit.js

https://gerrit.wikimedia.org/r/195914

Change 195916 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add proper mediawiki.page.watch.ajax dependency

https://gerrit.wikimedia.org/r/195916

Change 195914 merged by jenkins-bot:
Fix wrong parameter order in entityViewInit.js

https://gerrit.wikimedia.org/r/195914

Change 195916 merged by jenkins-bot:
Add proper mediawiki.page.watch.ajax dependency

https://gerrit.wikimedia.org/r/195916

Could someone verify?

Seems to be working now! Thanks!

Hm, doesn’t work when removing statements or references (but does work when removing qualifiers).

It's not deployed yet so if you are testing on wikidata.org it's still expected to be broken there.

Tobi_WMDE_SW closed this task as Resolved.Mar 13 2015, 11:00 AM
Tobi_WMDE_SW claimed this task.
Tobi_WMDE_SW moved this task from Review to Done on the § Wikidata-Sprint-2015-03-11 board.